// axios
import request from '@/utils/request'

// 获取类型
export function getStoreType(params) {
  return request({
    url: '/select_appStoreType_exceptType',
    method: 'get',
    params,
    hideloading: false
  })
}

// 获取类型
export function select_appStoreSave(params) {
  return request({
    url: '/select_appStoreSave',
    method: 'get',
    params,
    hideloading: false
  })
}

// 获取显示权限
export function select_appStorJuri(params) {
  return request({
    url: '/select_appStorJuri',
    method: 'get',
    params,
    hideloading: false
  })
}

// 取消点赞2 收藏0
export function delete_appStoreSave(params) {
  return request({
    url: '/delete_appStoreSave',
    method: 'post',
    data: params,
    hideloading: true
  })
}

//添加收藏0 喜欢2
export function insert_appStoreSave(params) {
  return request({
    url: '/insert_appStoreSave',
    method: 'post',
    data: params,
    hideloading: true
  })
}

// 获取app
export function getStore(params) {
  return request({
    url: '/select_appStore',
    method: 'get',
    params,
    hideloading: true
  })
}

// 获取app
export function getStoreCopy(params) {
  return request({
    url: '/select_appStore_exportType2',
    method: 'get',
    params,
    hideloading: true
  })
}

//添加app
export function addApp(params) {
  return request({
    url: '/insert_appStore',
    method: 'post',
    data: params,
    hideloading: true
  })
}

//修改app

export function editApp(params) {
  return request({
    url: '/update_appStore',
    method: 'post',
    data: params,
    hideloading: false
  })
}

//添加appSave

export function insertSave(params) {
  return request({
    url: '/insert_appStoreSave',
    method: 'post',
    data: params,
    hideloading: true
  })
}

//删除app

export function deleteApp(params) {
  return request({
    url: '/delete_appStore',
    method: 'post',
    data: params,
    hideloading: false
  })
}